{ pkgs, lib, osConfig, ... }: {
  imports =
    [ ./shell.nix ./emulator.nix ./development.nix ./tools.nix ./yazi.nix ];

  config = lib.mkIf osConfig.mods.desktop.enable {
    mods.terminal.emulator.enable = lib.mkDefault true;
  };
}
